<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/5_mission/dayzexpansion_vehicles/modules/cot/jmespmodule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d84/a03281_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">jmespmodule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d84/a03281.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * JMESPModule.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef JM_COT</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>modded <span class="keyword">class </span>JMESPModule</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">override</span> <span class="keyword">private</span> <span class="keywordtype">void</span> Exec_SetPosition( vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, Object target, PlayerIdentity ident, JMPlayerInstance instance = NULL )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_variable" href="../../d7/dc9/a04370.html#aad0d96613a7444cc73ef4b3f000aec3a">ENABLE</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> car;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        Transport transport;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( Class.CastTo( car, target ) )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            car.<a class="code hl_function" href="../../df/d0f/a05070.html#a6e3af5998a30a165f40cfe2647d7fe68">Expansion_ForcePositionAndOrientation</a>(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, car.GetOrientation());</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( Class.CastTo( transport, target ) )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; 2; i++ )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                transport.SetPosition( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                ForceTargetCollisionUpdate( transport );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                transport.Synchronize();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            target.SetPosition( <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        GetCommunityOnlineToolsBase().Log( ident, <span class="stringliteral">&quot;ESP target=&quot;</span> + target + <span class="stringliteral">&quot; action=position value=&quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        SendWebhook( <span class="stringliteral">&quot;Position&quot;</span>, instance, <span class="stringliteral">&quot;Set \&quot;&quot;</span> + target.GetDisplayName() + <span class="stringliteral">&quot;\&quot; (&quot;</span> + target.GetType() + <span class="stringliteral">&quot;) position to &quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>.ToString() );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>}</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04370_html"><div class="ttname"><a href="../../d7/dc9/a04370.html">EXTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00029">expansiontracing.c:30</a></div></div>
<div class="ttc" id="aa04370_html_aad0d96613a7444cc73ef4b3f000aec3a"><div class="ttname"><a href="../../d7/dc9/a04370.html#aad0d96613a7444cc73ef4b3f000aec3a">EXTrace::ENABLE</a></div><div class="ttdeci">static bool ENABLE</div><div class="ttdoc">Please keep these at the top and use below instead of true to enable tracing when using DayZDiag or D...</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00038">expansiontracing.c:38</a></div></div>
<div class="ttc" id="aa04370_html_ab7af4b282c08a043d2f9626231c59953"><div class="ttname"><a href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">EXTrace::Start</a></div><div class="ttdeci">static EXTrace Start(bool yes=true, Class instance=null, string param0=&quot;&quot;, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdoc">Includes 1st line of stack.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00325">expansiontracing.c:325</a></div></div>
<div class="ttc" id="aa05070_html"><div class="ttname"><a href="../../df/d0f/a05070.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc3/a09307_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa05070_html_a6e3af5998a30a165f40cfe2647d7fe68"><div class="ttname"><a href="../../df/d0f/a05070.html#a6e3af5998a30a165f40cfe2647d7fe68">CarScript::Expansion_ForcePositionAndOrientation</a></div><div class="ttdeci">void Expansion_ForcePositionAndOrientation(vector position, vector orientation)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d9f/a09319_source.html#l02749">carscript.c:2749</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_0eadc293ddf5a88ef2258e9d1ea220df.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_517e7983911f6d754280604c4d8e3d6f.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_6a9659fdd1c4a5cd15d3cfdfc1d52db4.html">modules</a></li><li class="navelem"><a class="el" href="../../dir_7d35009ec72bc5d19e24d866163f01f7.html">cot</a></li><li class="navelem"><a class="el" href="../../d0/d84/a03281.html">jmespmodule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
